결제 확인과 함께 이메일 발송
보호자에게 동의 요청 메일을 발송하면서, 그 배경이 되는 구매에 대해 성인이 이미 결제를 완료했다는 확인 정보를 함께 전달합니다. `paymentVerification`이 필수라는 점을 제외하면 `/challenge/send-email`과 동일합니다. 함께 전달할 결제가 없다면 그 API를 사용하십시오. 이 확인 정보는 조직에 Transactions 기능이 활성화된 경우에만 읽히며, 그 외에는 무시됩니다.
Authorization
api-key In: header
Header Parameters
Optional header for Account System Products to perform cross-product age gate checks. The value must be the product ID of the target product within the same organization. The target product must not itself be an Account System Product.
Request Body
application/json
Send email with payment verification request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/send-email-with-payment-verification" \ -H "Content-Type: application/json" \ -d '{ "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802", "paymentVerification": { "provider": "xsolla", "invoiceId": "2110445753", "payerEmail": "parent@example.com", "instrument": "card", "funding": "credit" } }'{}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}보호자 초대 챌린지 생성 POST
`sessionId`에 연결된 보호자 초대 챌린지를 생성하고 `parentEmail`로 초대 메일을 발송합니다. 보호자 동의가 필요하지 않고 세션이 아직 보호자와 연결되지 않은 플레이어만 사용할 수 있으며, 그 외의 세션은 거부됩니다(아래 오류 코드 참조). PASS가 되면 동일한 `sessionId`와 함께 `Challenge.StateChange`가 발생하므로 결과를 이 초대와 연결할 수 있습니다.
이메일 보내기 POST
챌린지의 세부 정보를 수신자에게 이메일로 발송합니다. 대부분 보호자에게 보내는 동의 요청에 사용됩니다. 챌린지는 이미 존재해야 하며, 이 API는 전달만 수행합니다. 다시 보내려면 한 번 더 호출하십시오.